@import url('open-iconic/font/css/open-iconic-bootstrap.min.css');

html, body {
    font-family: 'Helvetica Neue', Helvetica, Arial, sans-serif;
}

h1:focus {
    outline: none;
}

a, .btn-link {
    color: #0071c1;
}

.btn-primary {
    color: #fff;
    background-color: #1b6ec2;
    border-color: #1861ac;
}

.content {
    padding-top: 1.1rem;
}

.valid.modified:not([type=checkbox]) {
    outline: 1px solid #26b050;
}

.invalid {
    outline: 1px solid red;
}

.validation-message {
    color: red;
    font-family: Roboto, serif;
    font-size: 16px;
}

.fonSize {
    font-size: 14px;
}

.allowMixedClass {
    min-width: 200px;
    width: 200px;
    font-size: 14px;
}

.bodyPadding {
    padding: 24px;
}

.my-table-container, .my-table-container .mud-table {
    height: 100%;
}

#blazor-error-ui {
    background: lightyellow;
    bottom: 0;
    box-shadow: 0 -1px 2px rgba(0, 0, 0, 0.2);
    display: none;
    left: 0;
    padding: 0.6rem 1.25rem 0.7rem 1.25rem;
    position: fixed;
    width: 100%;
    z-index: 1000;
}

    #blazor-error-ui .dismiss {
        cursor: pointer;
        position: absolute;
        right: 0.75rem;
        top: 0.5rem;
    }

.blazor-error-boundary {
    background: url(data:image/svg+xml;base64,PHN2ZyB3aWR0aD0iNTYiIGhlaWdodD0iNDkiIHhtbG5zPSJodHRwOi8vd3d3LnczLm9yZy8yMDAwL3N2ZyIgeG1sbnM6eGxpbms9Imh0dHA6Ly93d3cudzMub3JnLzE5OTkveGxpbmsiIG92ZXJmbG93PSJoaWRkZW4iPjxkZWZzPjxjbGlwUGF0aCBpZD0iY2xpcDAiPjxyZWN0IHg9IjIzNSIgeT0iNTEiIHdpZHRoPSI1NiIgaGVpZ2h0PSI0OSIvPjwvY2xpcFBhdGg+PC9kZWZzPjxnIGNsaXAtcGF0aD0idXJsKCNjbGlwMCkiIHRyYW5zZm9ybT0idHJhbnNsYXRlKC0yMzUgLTUxKSI+PHBhdGggZD0iTTI2My41MDYgNTFDMjY0LjcxNyA1MSAyNjUuODEzIDUxLjQ4MzcgMjY2LjYwNiA1Mi4yNjU4TDI2Ny4wNTIgNTIuNzk4NyAyNjcuNTM5IDUzLjYyODMgMjkwLjE4NSA5Mi4xODMxIDI5MC41NDUgOTIuNzk1IDI5MC42NTYgOTIuOTk2QzI5MC44NzcgOTMuNTEzIDI5MSA5NC4wODE1IDI5MSA5NC42NzgyIDI5MSA5Ny4wNjUxIDI4OS4wMzggOTkgMjg2LjYxNyA5OUwyNDAuMzgzIDk5QzIzNy45NjMgOTkgMjM2IDk3LjA2NTEgMjM2IDk0LjY3ODIgMjM2IDk0LjM3OTkgMjM2LjAzMSA5NC4wODg2IDIzNi4wODkgOTMuODA3MkwyMzYuMzM4IDkzLjAxNjIgMjM2Ljg1OCA5Mi4xMzE0IDI1OS40NzMgNTMuNjI5NCAyNTkuOTYxIDUyLjc5ODUgMjYwLjQwNyA1Mi4yNjU4QzI2MS4yIDUxLjQ4MzcgMjYyLjI5NiA1MSAyNjMuNTA2IDUxWk0yNjMuNTg2IDY2LjAxODNDMjYwLjczNyA2Ni4wMTgzIDI1OS4zMTMgNjcuMTI0NSAyNTkuMzEzIDY5LjMzNyAyNTkuMzEzIDY5LjYxMDIgMjU5LjMzMiA2OS44NjA4IDI1OS4zNzEgNzAuMDg4N0wyNjEuNzk1IDg0LjAxNjEgMjY1LjM4IDg0LjAxNjEgMjY3LjgyMSA2OS43NDc1QzI2Ny44NiA2OS43MzA5IDI2Ny44NzkgNjkuNTg3NyAyNjcuODc5IDY5LjMxNzkgMjY3Ljg3OSA2Ny4xMTgyIDI2Ni40NDggNjYuMDE4MyAyNjMuNTg2IDY2LjAxODNaTTI2My41NzYgODYuMDU0N0MyNjEuMDQ5IDg2LjA1NDcgMjU5Ljc4NiA4Ny4zMDA1IDI1OS43ODYgODkuNzkyMSAyNTkuNzg2IDkyLjI4MzcgMjYxLjA0OSA5My41Mjk1IDI2My41NzYgOTMuNTI5NSAyNjYuMTE2IDkzLjUyOTUgMjY3LjM4NyA5Mi4yODM3IDI2Ny4zODcgODkuNzkyMSAyNjcuMzg3IDg3LjMwMDUgMjY2LjExNiA4Ni4wNTQ3IDI2My41NzYgODYuMDU0N1oiIGZpbGw9IiNGRkU1MDAiIGZpbGwtcnVsZT0iZXZlbm9kZCIvPjwvZz48L3N2Zz4=) no-repeat 1rem/1.8rem, #b32121;
    padding: 1rem 1rem 1rem 3.7rem;
    color: white;
}

    .blazor-error-boundary::after {
        content: "An error has occurred."
    }

.logomarginRight {
    margin-right: -10px;
}

element.style {
}

.tabs {
    overflow: visible;
}

.tab {
    overflow: visible;
}

.tab-content {
    overflow-y: hidden;
}

input:checked ~ .tab-content {
    overflow-y: visible;
}

.customWidth-50em {
    width: 50em;
}

.logoBack {
    height: 100vh;
    background-color: #BFD1C7
}

.logoBottom {
    position: absolute;
    width: 600px;
    bottom: 20px;
    right: 50%;
    left: 50%;
    margin-left: -300px;
}

.logoTop {
    position: absolute;
    width: 500px;
    right: 50%;
    left: 50%;
    top: 50%;
    bottom: 50%;
    margin-left: -250px;
    margin-top: -150px;
}

.logOut {
    margin: 0px 0px 0px 40px;
    text-transform: none;
}

/* MudBlazor mods*/
.accessRequestPaper {
    text-align: center;
    margin: auto;
    padding: 70px 0px 80px 0px;
}

.accessrequestHeight {
    height: 150px;
}

.accessRequestSubmitButton {
    background-color: #407061;
    color: white;
}

.md-dialog-content {
    min-width: 400px;
}

.activeFilterMinWidth {
    min-width: 80px;
}

.smallFont {
    font-size: 12PX;
}

.colDefMinWidth {
    min-width: 40px;
    width: 40px;
}

.colDefMedWidth {
    width: 150px;
}

.colDefSupplierNameWidth {
    width: 300px;
}

.colDefSpacerMinWidth {
    min-width: 50px;
}

.rowHeight {
    padding: 0px;
    margin: 0px;
}

.mudIconLeftMargin {
    margin-left: 30px;
    vertical-align: middle
}

.mudTextLeftMargin {
    margin-left: 3px;
    vertical-align: middle
}

.rowPadding {
    padding-left: 10px;
    padding-right: 10px;
    padding-top: 3px;
    padding-bottom: 3px;
}

.rightSideBorder {
    border-right: solid;
    border-right-color: lightgray;
    border-right-width: 1px;
}

.gridButton {
    margin-top: -10px;
    margin-bottom: -8px;
    margin-left: 5px;
    margin-right: 5px;
    padding-left: 10px;
    padding-right: 10px;
    padding-top: 3px;
    padding-bottom: 3px;
    align-content: center;
    vertical-align: central;
}

html {
    height: 100%;
    padding-bottom: 0;
}

body {
    height: 100%;
    background-color: #F5F5F5;
}

.mud-nav-link .mud-nav-link-expand-icon {
    margin-left: -0.25em;
}

.headerDivider {
    margin-bottom: 1rem;
}

.titlebar {
    margin-left: 24px;
    font-weight: bold;
}

.footerBar {
    height: 48px;
}

/*.mud-container {
    background-color: #F5F5F5;
}*/

.mud-main-content {
    min-height: 100%;

}

.mud-main-content > .mud-container {
    min-height: 100%;
    min-width: 100%;
    padding-top: 8px;
    padding-left: 32px;
    padding-right: 32px;
}

.push, .footerBar {
    height: 48px;
    margin-top: 12px;
}

.tableFilterMode {
    margin-top: 28px;
    margin-bottom: 7px;
    text-align: center;
}

.tableActionCenter {
    text-align: center;
}

.fab-right-bottom {
    position: fixed !important;
    right: 12px;
    bottom: 12px;
    z-index: calc(var(--mud-zindex-dialog) - 10);
}

.fab-right-bottom-Fixed {
    position: fixed;
    right: 170px;
    bottom: 12px;
    z-index: calc(var(--mud-zindex-dialog) - 10);
}

.top-fixed-right {
    position: fixed;
    right: 5px;
    top: 71px;
    z-index: calc(var(--mud-zindex-dialog) - 10);
}

.top-fixed-left {
    position: fixed;
    right: 5px;
    top: 71px;
    z-index: calc(var(--mud-zindex-dialog) - 10);
}

.table-top {
    z-index: calc(var(--mud-zindex-dialog) - 10);
    background: black;
    max-height: calc(100vh - 170px);
    min-height: calc(100vh - 170px);
}

.table-top-left {
    z-index: calc(var(--mud-zindex-dialog) - 10);
    background: black;
    max-height: calc(100vh - 170px);
    min-height: calc(100vh - 170px);
}

.fab-center-fixed {
    position: fixed;
    left: 52%;
    bottom: 45%;
    z-index: calc(var(--mud-zindex-dialog) - 10);
}

.alignRight {
    text-align: right;
}

.marginLeft2px {
    margin-left: 2px;
}

.mudContainerScroll {
    max-height: 250px;
    overflow-y: scroll;
}

.textAlignWithInput {
    margin-top: 28px;
    margin-bottom: 7px;
}

.reportServiceBackground {
    background-color: #F4F4F4 !important;
}

.margin10 {
    margin-bottom: 10px;
}

.maxHeight80vh {
    max-height: 80vh;
}

.textLabel {
    font-weight: bold;
}

.text-align-center {
    text-align: center;
}

.element-float-left {
    float: left;
}

.loader {
    border: 16px solid #C0D1C8;
    border-top: 16px solid #407061;
    border-radius: 50%;
    width: 120px;
    height: 120px;
    animation: spin 2s linear infinite;
    margin: auto
}

@-webkit-keyframes spin {
    0% {
        -webkit-transform: rotate(0deg);
    }

    100% {
        -webkit-transform: rotate(360deg);
    }
}

@keyframes spin {
    0% {
        transform: rotate(0deg);
    }

    100% {
        transform: rotate(360deg);
    }
}

.GreenBackgroundWithWhiteText {
    background-color: green;
    color: white;
}

.WhiteBackgroundWithGreenText {
    background-color: white;
    color: green;
}

.GreyBackground th {
    padding: 10px;
    margin: 10px;
    background-color: lightgray;
}

.ThHeight {
    padding: 8px;
    margin: 8px;
    height: 2px;
    line-height: 2px;
    font-weight: bold;
}

.mud-table-head{
    white-space: nowrap;
}

.pickupdetail-load-success {
    background-color: #00C853;
}

.pickupdetail-load-inital {
    background-color: #767676;
}

.pickupdetail-load-error {
    background-color: #F54337;
}

.text-color-white {
    color: white;
}

.text-color-grey {
    color: #97999B !important;
}

.pickupdetail-exception-button {
    background-color: #407061;
}

.pickupdetail-background-white {
    background-color: white;
}

.pickupdetail-padding-15px {
    padding: 15px;
}

.groupheader {
    background-color: #f2f2f2;
}

.groupheadertext {
    font-weight: bold;
    width: 100%;
    padding-right: 12px;
}

.datePickerMinWidth {
    min-width: 150px;
}

.titlebar {
    margin-left: 24px;
    font-weight: bold;
}

/* SPLASH SCREEN */
.parent-div {
    background-color: #006963;
    width: 100vw;
    height: 100vh;
}

.child-div {
    position: absolute;
    /* center the element */
    right: 0;
    left: 0;
    margin-right: auto;
    margin-left: auto;
    margin-top: 30vh;
    /* give it dimensions */
    width: 600px;
    color: #4a6456;
}

.mudStackCenter {
    margin-left: 125px;
}

.centerImg {
    width: 400px;
    margin-left: -20px;
    margin-top: -10px;
    margin-bottom: 30px;
    height: 120px;
}

a:link {
    color: darkblue;
    background-color: transparent;
    text-decoration: none;
}

.pageName {
    color: var(--ip-brand-neutral-900-ip-black, #15191E) !important;
    font-family: Roboto !important;
    font-size: 35px !important;
    font-style: normal !important;
    font-weight: 700 !important;
    line-height: normal !important;
}

.disabledTableRow {
    background-color: #E0E0E0 !important;
}
.disabledTableRow .mud-table-cell {
    color: #97999B !important;
}
.custom-date-picker .mud-picker{
    min-width:180px !important;
}
/* END - SPLASH SCREEN */
